!function ($) {

  var ready = function() {
    // Then setup
    setup();
  };

  var setup = function() {
    $(document).on('shown.bs.collapse hidden.bs.collapse', function(e) {
      var $trigger = $('[data-toggle="collapse"][href="#' + e.target.id + '"], [data-toggle="collapse"][data-target="#' + e.target.id + '"]');
      var $element = $($trigger.data('parent'));
      if($element.length <= 0) {
        $element = $trigger;
      }
      
      var $collapsIcon = $trigger.find('.jalios-icon.caret');
      $collapsIcon.parent().toggleClass('dropup');
      var toggleClass = $element.data('jalios-collapse-toggle');
      if(toggleClass) {
        $collapsIcon.toggleClass(toggleClass);
      }
    });
  };

  // ------------------------------------------
  //  READY
  // ------------------------------------------

  // Plugin initialization on DOM ready
  $(document).ready(ready);

}(window.jQuery);